# Check User Existence

Retrieve details on whether a user exists at the specified destination address using this endpoint. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorised by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.tanx.fi/tech/api-documentation/account/login) section of the documentation.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
POST /sapi/v1/internal_transfers/v2/check_user_exists/
```

#### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

#### Request Body <a href="#request-body" id="request-body"></a>

<table><thead><tr><th width="205">Parameter</th><th width="185">Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td>organization_key</td><td>string</td><td>Yes</td><td>Reach out to tanX (<a href="mailto:support@tanx.fi">support@tanx.fi</a>) to get the organization key and API key.</td></tr><tr><td>api_key</td><td>string</td><td>Yes</td><td>Reach out to tanX (<a href="mailto:support@tanx.fi">support@tanx.fi</a>) to get the organization key and API key.</td></tr><tr><td>destination_address</td><td>string</td><td>Yes</td><td>The destination address you want to check.</td></tr></tbody></table>

#### Response

```json
{
    "status": "success",
    "message": "User exists",
    "payload": {
        "destination_address": "0x4",
        "exists": true
    }
}
```
